DETERMINE_MAXIMUM_MPPS(8)

NAME
determine_maximum_mpps - Determine the maximum mpps the machine can handle

SYNOPSIS

determine_maximum_mpps [-a cpulist] [-m maxlat] [-n cycles] [-f | -r] [-p priority] [-h]

DESCRIPTION
determine_maximum_mpps will find the maximum mpps parameter which can sustain

    1. 10 consecutive 30 second runs.
    2. 1 run of 10 minutes.

Without violating the latency specified with $MAXLAT (default 20000)

TERMINOLOGY
mpps : million-packets-per-second

OPTIONS

-a cpulist
    List of processors to run on. The default is processor 0
    Numbers are separated by commas and may include ranges. Eg. 0,3,7-11

-m maxlat
    Maximum latency in nanoseconds. The default is 20000. If the maximum is exceeded, that run of queuelat quits.

-n cycles
    Extimated number of cycles it takes to process one packet. The default is 300

-f  Set the scheduling policy to SCHED_FIFO. This is the default if not specified.

-r  Set the scheduling policy to SCHED_RR.

-p priority
    default priority = 1. Valid numbers are from 1 to 99

-h  help

AUTHOR
determine_maximum_mpps was written by
Marcelo Tosatti <mtosatti@redhat.com>

This man page was written by John Kacur <jkacur@redhat.com>